Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Class KeywordSyntaxCompletor

- org.codehaus.groovy.tools.shell.completion.KeywordSyntaxCompletor

- All Implemented Interfaces and Traits:
    IdentifierCompletor

      class KeywordSyntaxCompletor

  Completor completing Groovy keywords and special functions

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `complete(List<GroovySourceToken> tokens, List<CharSequence> candidates)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### @Override boolean complete(List<GroovySourceToken> tokens, List<CharSequence> candidates)